<?php
namespace App\Console\Commands;

use Carbon\Carbon;
use Illuminate\Console\Command;
use App\Facades\Util\Log;
use App\Services\Script\IScriptService;


class PolymerizeWithdrawal extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'PolymerizeWithdrawal';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '聚合玩家提现数据';
    /**
     * @var ActivityOrder
     */
    private $scriptService;

    /**
     * Create a new command instance.
     * @param ProductOrder $productOrder
     * @param ScoreDetail $scoreDetail
     */
    public function __construct(IScriptService $scriptService)
    {
        parent::__construct();
        $this->scriptService = $scriptService;
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        set_time_limit(0);
        $this->line('开始');
        Log::setGroup('Commands')->info('聚合玩家提现数据', ['info' => ['time'=>date('Y-m-d H:i:s')]]);
        $this->scriptService->getPolymerizeWithdrawal();
        $this->line('结束');
    }
}